%global fontname gdouros-asea
%global fontconf 65-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        6.31
Release:        1%{?dist}
Summary:        Asea is an etude on the dominant typeface of Greek typography
License:        Public Domain
URL:            http://users.teilar.gr/~g1951d/Textfonts.htm
Source0:        http://users.teilar.gr/~g1951d/Asea.zip
Source1:        http://users.teilar.gr/~g1951d/Textfonts.pdf
Source2:        %{name}-fontconfig.conf
Source3:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
BuildRequires:  libappstream-glib
Requires:       fontpackages-filesystem

%description
Asea is an etude on the dominant typeface of Greek typography. Upright Greek
letters were designed in 1805 by Firmin Didot (1764-1836) and cut by Walfard
and Vibert. The typeface, together with a complete printing house, was donated
in 1821 to the new Greek state by Didot's son, Ambroise Firmin Didot (1790-
1876).

The font covers the Windows Glyph List, IPA Extensions, Greek Extended, Ancient
Greek Numbers, Byzantine and Ancient Greek Musical Notation, various
typographic extras and several Open Type features (Case-Sensitive Forms, Small
Capitals, Subscript, Superscript, Numerators, Denominators, Fractions, Old
Style Figures, Historical Forms, Stylistic Alternates, Ligatures).

It was created by George Douros.

%prep
%setup -q -c
cp -p %{SOURCE1} .

%build

%install
rm -f *_hint.ttf
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p Asea*.ttf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE2} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

install -Dm 0644 -p %{SOURCE3} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%check
appstream-util validate-relax --nonet \
      %{buildroot}/%{_datadir}/appdata/%{fontname}.metainfo.xml


%_font_pkg -f %{fontconf} Asea*.ttf
%{_datadir}/appdata/%{fontname}.metainfo.xml
%doc Textfonts.pdf

%changelog
* Thu Feb 11 2016 Alexander Ploumistos <alexpl@fedoraproject.org> - 6.31-1
- 6.31 version bump
- Remove license info from when the site was off-line

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 6.00-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Sat Oct 3 2015 Alexander Ploumistos <alexpl@fedoraproject.org> - 6.00-1
- New upstream version

* Thu May 28 2015 Alexander Ploumistos <alexpl@fedoraproject.org> - 5.01-1
- First release

